ngram_iter_s Struct Reference

Base iterator structure for N-grams. More...

`#include <ngram_model_internal.h>`

## Data Fields

ngram_model_t * | model
int32 * | wids
| Scratch space for word IDs. More...
int16 | m
| Order of history. More...
int16 | successor
| Is this a successor iterator?

## Detailed Description

Base iterator structure for N-grams.

Definition at line 193 of file ngram_model_internal.h.

## Field Documentation

## m

int16 ngram_iter_s::m

Order of history.

Definition at line 196 of file ngram_model_internal.h.

Referenced by ngram_iter_successors().

## wids

int32* ngram_iter_s::wids

Scratch space for word IDs.

Definition at line 195 of file ngram_model_internal.h.

Referenced by ngram_iter_free().

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/ngram_model_internal.h